#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QImage>
#include <QPainter>


MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    QImage image(600, 600, QImage::Format_ARGB32);
    QPainter painter(&image);

    QPen pen(Qt::black, 12, Qt::SolidLine);
    QBrush whiteBrush(Qt::white, Qt::SolidPattern);
    QBrush blackBrush(Qt::black, Qt::SolidPattern);
    QRect faceOutline(0, 0, 600, 600);
    painter.setPen(pen);
    painter.setBrush(whiteBrush);
    painter.drawEllipse(faceOutline);
    QRect mouth(180, 360, 240, 120);
    painter.drawArc(mouth, 180*16, 180*16);
    QRect eye(150, 150, 60, 60);
    painter.setBrush(blackBrush);
    painter.drawEllipse(eye);
    eye = QRect(390, 150, 60, 60);
    painter.drawEllipse(eye);
    QPoint nosePoints[3] = {
      QPoint(300, 270),
      QPoint(240, 300),
      QPoint(300, 300) };
    painter.drawPolyline(nosePoints, 3);

    image.save("face.png");
}

MainWindow::~MainWindow()
{
    delete ui;
}
