#include <QGuiApplication>
#include <QQmlApplicationEngine>
#include <QDir>
#include <QQmlContext>

#include "imagegallerycontroller.h"
#include "imagegallerymodel.h"
#include "fileimageprovider.h"

int main(int argc, char *argv[])
{
    QGuiApplication app(argc, argv);
    QQmlApplicationEngine engine;

    ImageGalleryController *controller = new ImageGalleryController(&engine);
    QQmlContext *context = engine.rootContext();
    ImageGalleryModel *model = controller->model();
    context->setContextProperty("controller", controller);
    context->setContextProperty("model", model);

    engine.addImageProvider(QLatin1String("file"),
                            new FileImageProvider(QQuickImageProvider::Pixmap));
    engine.load( QUrl(QStringLiteral("qrc:///main.qml")));

    int result = app.exec();


    return result;
}
